Exchange History Chart

This endpoint retrieves historical open interest data for a specific cryptocurrency across exchanges, formatted for chart display.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Cache / Update Frequency: 10 second for all the API plans.

This endpoint is available on the following API plans

PlansHobbyistStartupStandardProfessionalEnterprise
Available

Response Data

{
  "code": "0",
  "msg": "success",
  "data": {
    "time_list": [1721649600000, ...], // List of timestamps (in milliseconds)
    "price_list": [67490.3, ...], // List of prices corresponding to each timestamp

    "data_map": { // Open interest data of futures from each exchange
      "Binance": [8018229234, ...], // Binance open interest (corresponds to time_list)
      "Bitmex": [395160842, ...] // BitMEX open interest (corresponds to time_list)
      // ...
    }
  }
}
Query Params
string
required
Defaults to BTC

Trading coin (e.g., BTC). Check supported coins through the 'supported-coins' API.

string
required
Defaults to 12h

Time range for the data (e.g., all, 1m, 15m, 1h, 4h, 12h).

string
Defaults to usd

Unit for the returned data, choose between 'usd' or 'coin'.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json